<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@ page import="java.util.Map,java.util.HashMap"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME","DetailAssessmentModelModule");
  SourceBean module = (SourceBean) aServiceResponse.getAttribute("ListAssessmentModelKPIModule");
  System.out.println(module.toString());

  // getting the list
  List objectsList = (List) module.getAttributeAsList("PAGED_LIST.ROWS.ROW");

  String title = "";
  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "AssessmentModelPage");
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>

<%@page import="java.util.List"%>
<%@page import="it.eng.spago4q.utilities.ChannelUtilities"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<spago4q:treeObjects moduleName="ListAssessmentModelKPIModule"
  htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.AssessmentModelTreeHtmlGenerator" 
  list_="<%=objectsList%>"/>

<spago4q:error />

<%@ include file="/jsp/footer.jsp"%>