<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ page language="java"
         contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>

<%@ taglib uri="/WEB-INF/tld/portlet.tld" prefix="portlet" %>
<%@ taglib uri="/WEB-INF/tld/spago4q.tld" prefix="spago4q" %>

<%@page import="it.eng.spago.util.PortletUtilities"%>

<%@ include file="/jsp/portlet_base.jsp"%>

<portlet:defineObjects/>

<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section-no-buttons' 
        style='vertical-align:middle;padding-left:5px;'>
    <spago4q:message key = "s4q.configurationSources.title" />
    </td>
  </tr>
</table>


<div class="div_background">
    <br/> 
  <table>
    <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/dataSourceIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="SourceTypePage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spago4q:message key="s4q.wz5.datasources" />
        </a>
      </td>
    </tr>
        <tr class="portlet-font">
      <td width="100" align="center">
        <img src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/img/extractionProcessIcon.png")%>'/>
      </td>
      <td width="20">
        &nbsp;
      </td>
      <td vAlign="middle">
          <br/> 
        <a href='<portlet:actionURL><portlet:param name="PAGE" value="ExtractionProcessPage"/></portlet:actionURL>' 
          class="link_main_menu" >
          <spago4q:message key="s4q.wz6.extractionProcess" />
        </a>
      </td>
    </tr>
  </table>
  <br/>
</div>  


