<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="it.eng.spago.base.ResponseContainer"%>
<%@page import="it.eng.spago.base.SourceBean"%>
<%@page import="it.eng.spago.base.RequestContainer"%>
<%

SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME", "DataSourceParameterModule");

HashMap<String,Boolean> parNames = (HashMap<String,Boolean>)aServiceResponse.getAttribute("datasourceparametermodule.parNames"); 

String title="";
if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String)moduleBean.getAttribute("CONFIG.TITLE");

String e_data_source_id = "";
String name = "";
String value = "";
String type_id = "";
String name_source = "";

if (aServiceRequest.getAttribute("TYPE_ID") != null) {
    type_id = (String) aServiceRequest.getAttribute("TYPE_ID");
  }

  if (aServiceRequest.getAttribute("NAME_SOURCE") != null) {
    name_source = (String) aServiceRequest
        .getAttribute("NAME_SOURCE");
  }

    if (aServiceRequest.getAttribute("E_DATA_SOURCE_ID") != null) {
      e_data_source_id = (String) aServiceRequest
          .getAttribute("E_DATA_SOURCE_ID");
    }

    Map formUrlPars = new HashMap();
    formUrlPars.put("PAGE", "DataSourcePage");
    formUrlPars.put("MODULE", "StoreDataSourceParameterModule");
    String formUrl = urlBuilder.getUrl(request, formUrlPars);

    Map backUrlPars = new HashMap();
    backUrlPars.put("PAGE", "DataSourcePage");
    backUrlPars.put("MODULE", "ListDataSourceModule");
    backUrlPars.put("TYPE_ID", type_id);
    String backUrl = urlBuilder.getUrl(request, backUrlPars);
    

    String wTitle=new String("s4q.title.parDefinition");
    String wSubTitle=new String(name_source);
    %>
    
      <%@ include file="/jsp/WizardHeader.jsp"%>
      

<table class='header-table-portlet-section'>
          <tr class='header-row-portlet-section'>
            <td class='header-title-column-portlet-section'
              style='vertical-align: middle; padding-left: 5px;'><spago4q:message
              key="<%=title%>" /> </td>
            <td class='header-empty-column-portlet-section'>&nbsp;</td>

            <td class='header-button-column-portlet-section'><a
              href="javascript:document.getElementById('dataSourceParameterForm').submit()">
            <img class='header-button-image-portlet-section'
              title='<spago4q:message key = "s4q.button.save.title" />'
              src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
              alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>

            <td class='header-button-column-portlet-section'><a
              href='<%=backUrl%>'> <img
              class='header-button-image-portlet-section'
              title='<spago4q:message key = "s4q.button.back.title" />'
              src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
              alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
          </tr>
        </table>

        <form method='POST' action='<%=formUrl%>'
          id='dataSourceParameterForm' name='dataSourceParameterForm'>
     
         <input type='hidden' value='<%=e_data_source_id%>'
          name='e_data_source_id' /> 
         <input type='hidden' value='<%=type_id%>' name='type_id' /> 
    
         <spago4q:dataSourceParameter parNames="<%=parNames%>" e_data_source_id="<%=e_data_source_id%>" />
    </form>
    
  <%@ include file="/jsp/WizardFooter.jsp"%>
      <%@ include file="/jsp/footer.jsp"%>