<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>

<%
  String title = "";

SourceBean moduleBean = (SourceBean) spagoconfig
    .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
        "DetailAssessmentFrameworkModule");
if (moduleBean.getAttribute("CONFIG.TITLE") != null)
  title = (String) moduleBean.getAttribute("CONFIG.TITLE");

  String message = DelegatedDetailService.DETAIL_UPDATE;

  String type = "";

  String af = "";
  String ac = "";
  String ac_name = "";
  String ac_code = "";

  String at = "";
  String at_name = "";
  String at_code = "";

  String ap = "";
  String ap_name = "";
  String ap_code = "";

  RequestContainer requestContainer = RequestContainer
      .getRequestContainer();
  if ((String) requestContainer.getServiceRequest().getAttribute(
      "type") != null)
    type = (String) requestContainer.getServiceRequest()
        .getAttribute("type");
  if ((String) requestContainer.getServiceRequest()
      .getAttribute("af") != null)
    af = (String) requestContainer.getServiceRequest()
        .getAttribute("af");

  String currentId = "";
  String currentName = "";
  String currentCode = "";
  String titleForm = "";

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "AssessmentFrameworkTreePage");
  backUrlPars.put("MODULE", "ListAssessmentFrameworkTreePage");
  backUrlPars.put("AF", af);

  String backUrl = urlBuilder.getUrl(request, backUrlPars);

  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "AssessmentFrameworkTreePage");

  formUrlPars.put("MESSAGE", message);

  if (type.equalsIgnoreCase("AC")) {
    if ((String) requestContainer.getServiceRequest().getAttribute("ac") != null)
      ac = (String) requestContainer.getServiceRequest().getAttribute("ac");
    if ((String) requestContainer.getServiceRequest().getAttribute("ac_name") != null)
      ac_name = (String) requestContainer.getServiceRequest().getAttribute("ac_name");
    if ((String) requestContainer.getServiceRequest().getAttribute("ac_code") != null)
      ac_code = (String) requestContainer.getServiceRequest().getAttribute("ac_code");
    currentId = ac;
    currentName = ac_name;
    currentCode = ac_code;
    titleForm = "s4q.treeStructure.assessmentCategory";
    formUrlPars.put("MODULE", "DetailAssessmentCategoryModule");
  } else if (type.equalsIgnoreCase("AT")) {
    if ((String) requestContainer.getServiceRequest().getAttribute("at") != null)
      at = (String) requestContainer.getServiceRequest().getAttribute("at");
    if ((String) requestContainer.getServiceRequest().getAttribute("at_name") != null)
      at_name = (String) requestContainer.getServiceRequest().getAttribute("at_name");
    if ((String) requestContainer.getServiceRequest().getAttribute("at_code") != null)
      at_code = (String) requestContainer.getServiceRequest().getAttribute("at_code");
    currentId = at;
    currentName = at_name;
    currentCode = at_code;
    titleForm = "s4q.treeStructure.assessmentTarget";
    formUrlPars.put("MODULE", "DetailAssessmentTargetModule");
  } else if (type.equalsIgnoreCase("AP")) {
    if ((String) requestContainer.getServiceRequest().getAttribute("ap") != null)
      ap = (String) requestContainer.getServiceRequest().getAttribute("ap");
    if ((String) requestContainer.getServiceRequest().getAttribute("ap_name") != null)
      ap_name = (String) requestContainer.getServiceRequest().getAttribute("ap_name");
    if ((String) requestContainer.getServiceRequest().getAttribute("ap_code") != null)
      ap_code = (String) requestContainer.getServiceRequest().getAttribute("ap_code");
    currentId = ap;
    currentName = ap_name;
    currentCode = ap_code;
    titleForm = "s4q.treeStructure.assessmentPractice";
    formUrlPars.put("MODULE", "DetailAssessmentPracticeModule");
  }

  String formUrl = urlBuilder.getUrl(request, formUrlPars);
%>


<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('assessmentFrameworkTreeForm').submit()">
    <img class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>


<table width="100%"
  style="margin-top: 3px; margin-left: 3px; margin-right: 3px; margin-bottom: 5px;">
  <tr height="20">
    <td class="td_tree"><!-- Column with the navigation tree --> <%
  // drawing the tree

  SessionContainer sessionContainer = requestContainer
      .getSessionContainer();
  SourceBean tranPar = (SourceBean) sessionContainer
      .getAttribute("objectsList");
  List objectsList = (List) tranPar.getAttributeAsList("ROW");
 %>
  <spago4q:treeObjects moduleName="ListAssessmentFrameworkTreeModule"
      htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.AssessStructureTreeHtmlGenerator"
      list_="<%=objectsList%>" /></td>
    <td class='td_form'>

    <form method='POST' action='<%=formUrl%>'
      id='assessmentFrameworkTreeForm' name='assessmentFrameworkTreeForm'>

    <div class='div_detail_label_title2'><span
      class='portlet-form-field-label_title'> <spago4q:message
      key="<%=titleForm%>" /> </span></div>
    <BR>
    <BR>
    <BR>


    <div class='div_detail_label'><span
      class='portlet-form-field-label'> <spago4q:message
      key="s4q.label.name" /> </span></div>
    <div class='div_detail_form'><input
      class='portlet-form-input-field' type="text" name="name" size="50"
      value="<%=currentName%>" maxlength="200"> &nbsp;</div>

    <BR>
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> <spago4q:message
      key="s4q.label.code" /> </span></div>
    <div class='div_detail_form'><input
      class='portlet-form-input-field' type="text" name="code" size="50"
      value="<%=currentCode%>" maxlength="200"> &nbsp;</div>
    <BR>

    <% // Commmento level: attualmente non utilizzato
      //if (type.equalsIgnoreCase("AC")) {
    %> 
    <!--  <spago4q:assessmentCategory id="<%=ac%>" /> -->
    <%
  //}
 %> 
 
 <input type='hidden' value='<%=currentId%>' name='id' /> <input
      type='hidden' value='<%=type%>' name='type' /> <input type='hidden'
      value='<%=af%>' name='af' /></form>

    </td>
  </tr>
</table>
<spago4q:error />
<%@ include file="/jsp/footer.jsp"%>