<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailDataSourceModule");
  SourceBean dataSource = (SourceBean) aServiceResponse
      .getAttribute("DetailDataSourceModule");
  System.out.println(dataSource.toString());

  String title = "";
  String id = "";
  String name = "";
  String type_id = "";
  String description = "";
  String name_type="";
 
  String message = DelegatedDetailService.DETAIL_INSERT;
  if (dataSource.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) dataSource
          .getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
  if (dataSource.getAttribute("ROW.ID") != null)
    id = String.valueOf(dataSource.getAttribute("ROW.ID"));
  if (dataSource.getAttribute("ROW.NAME") != null)
    name = (String) dataSource.getAttribute("ROW.NAME");
  if (dataSource.getAttribute("ROW.DESCRIPTION") != null)
    description = (String) dataSource.getAttribute("ROW.DESCRIPTION");


      if( aServiceRequest.getAttribute("TYPE_ID")!=null){
      type_id=(String)aServiceRequest.getAttribute("TYPE_ID");}
   
      if( aServiceRequest.getAttribute("NAME_TYPE")!=null){
      name_type=(String)aServiceRequest.getAttribute("NAME_TYPE");}
  
  
  
  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "DataSourcePage");
  formUrlPars.put("MODULE", "DetailDataSourceModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "DataSourcePage");
  backUrlPars.put("TYPE_ID", type_id); 
  backUrlPars.put("NAME_TYPE", name_type); 
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('dataSourceForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='dataSourceForm' name='dataSourceForm'>
<input type='hidden' value='<%=id%>' name='id' />
<input type='hidden' value='<%=type_id%>' name='type_id' />

<div class="div_detail_area_forms">
<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.name" /> </span></div>
<div class='div_detail_form'><input
  class='portlet-form-input-field' type="text" name="name" size="50"
  value="<%=name%>" maxlength="200"> &nbsp;*</div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailDataSource.description" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="text" name="description" size="50"
  value="<%=description%>" maxlength="200"> &nbsp;
</div>
</div>
</form>

<spago4q:error />



<%@ include file="/jsp/footer.jsp"%>