<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailInterfaceModule");
  SourceBean inter = (SourceBean) aServiceResponse
      .getAttribute("DetailInterfaceModule");
  System.out.println(inter.toString());

  String title = "";
  String interface_id = "";
  String name = "";
  String description="";
  String xmlSchema="";
 String classforname="";
  

  String message = DelegatedDetailService.DETAIL_INSERT;
  if (inter.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) inter
          .getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
  if (inter.getAttribute("ROW.INTERFACE_ID") != null)
    interface_id = String.valueOf(inter.getAttribute("ROW.INTERFACE_ID"));
  if (inter.getAttribute("ROW.NAME") != null)
    name = (String) inter.getAttribute("ROW.NAME");
  if (inter.getAttribute("ROW.CLASSFORNAME") != null)
	    classforname = String.valueOf(inter.getAttribute("ROW.CLASSFORNAME"));
	  if (inter.getAttribute("ROW.DESCRIPTION") != null)
	    description = (String) inter.getAttribute("ROW.DESCRIPTION");
	  if (inter.getAttribute("ROW.XMLSCHEMA") != null)
	      xmlSchema = String.valueOf(inter.getAttribute("ROW.XMLSCHEMA"));

  

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "ExtractionProcessPage");
  backUrlPars.put("MODULE", "ListInterfaceModule");
   String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>

<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table>
  <tr>
    <td>
    <table class='header-table-portlet-section'>
      <tr class='header-row-portlet-section'>
        <td class='header-title-column-portlet-section-no-buttons-wizard'
          style='vertical-align: middle; padding-left: 5px;'>
          <spago4q:message key="s4q.title.insertProcess1/2" /></td>
      </tr>
    </table>
    <div class="div_detail_area_forms_wizard">
    <div class='div_detail_label_wizard'>
    <span class='portlet-form-field-label_wizard'>
     <spago4q:message key="s4q.label.detailInterface" />
     </span>
     </div>
    <div class='div_detail_form'></div>
    </div>
    </td>
  </tr>
  <tr>
    <td>

<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
     <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>


<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.InterfaceDetail.id" /> </span></div>
<div class='div_detail_form'><%=interface_id%></div>


<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.name" /> </span></div>
<div class='div_detail_form'><%=name%></div>


<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.InterfaceDetail.classforname" /> </span></div>
<div class='div_detail_form'><%=classforname%></div>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.InterfaceDetail.description" /> </span></div>
<div class='div_detail_form'><%=description%></div>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.InterfaceDetail.xmlSchema" /> </span></div>
<div class='div_detail_form'><%=xmlSchema%></div>
<spago4q:error />
</td>
</tr>
</table>

<%@ include file="/jsp/footer.jsp"%>