<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
	import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
	SourceBean moduleBean = (SourceBean) spagoconfig
			.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
					"DetailKpiModule");
	SourceBean kpi = (SourceBean) aServiceResponse
			.getAttribute("DetailKpiModule");
	System.out.println(kpi.toString());

	String title = "";
	String id = "";
	String name = "";
	String documentLabel = "";
	String idScale = "";
	String code = "";
	String metric = "";
	String description = "";

	String message = DelegatedDetailService.DETAIL_INSERT;
	if (kpi.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
			&& ((String) kpi
					.getAttribute(DelegatedDetailService.SERVICE_MODE))
					.equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
		message = DelegatedDetailService.DETAIL_UPDATE;
	}

	if (moduleBean.getAttribute("CONFIG.TITLE") != null)
		title = (String) moduleBean.getAttribute("CONFIG.TITLE");
	if (kpi.getAttribute("ROW.ID") != null)
		id = String.valueOf(kpi.getAttribute("ROW.ID"));
	if (kpi.getAttribute("ROW.NAME") != null)
		name = (String) kpi.getAttribute("ROW.NAME");
	if (kpi.getAttribute("ROW.DOCUMENT_LABEL") != null)
		documentLabel = (String) kpi.getAttribute("ROW.DOCUMENT_LABEL");
	if (kpi.getAttribute("ROW.ID_SCALE") != null)
		idScale = (String) (kpi.getAttribute("ROW.ID_SCALE"))
				.toString();
	if (kpi.getAttribute("ROW.CODE") != null)
		code = (String) kpi.getAttribute("ROW.CODE");
	if (kpi.getAttribute("ROW.METRIC") != null)
		metric = (String) kpi.getAttribute("ROW.METRIC");
	if (kpi.getAttribute("ROW.DESCRIPTION") != null)
		description = (String) kpi.getAttribute("ROW.DESCRIPTION");

	Map formUrlPars = new HashMap();
	formUrlPars.put("PAGE", "KpiPage");
	formUrlPars.put("MODULE", "DetailKpiModule");
	formUrlPars.put("MESSAGE", message);

	String formUrl = urlBuilder.getUrl(request, formUrlPars);

	Map backUrlPars = new HashMap();
	backUrlPars.put("PAGE", "KpiPage");
	String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
	<tr class='header-row-portlet-section'>
		<td class='header-title-column-portlet-section'
			style='vertical-align: middle; padding-left: 5px;'><spago4q:message
			key="<%=title%>" /></td>
		<td class='header-empty-column-portlet-section'>&nbsp;</td>
		<td class='header-button-column-portlet-section'><a
			href="javascript:document.getElementById('kpiForm').submit()"> <img
			class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.save.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
			alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
		<td class='header-button-column-portlet-section'><a
			href='<%=backUrl%>'> <img
			class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.back.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
			alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
	</tr>
</table>

<form method='POST' action='<%=formUrl%>' id='kpiForm' name='kpiForm'>
<input type='hidden' value='<%=id%>' name='id' />

<div class="div_detail_area_forms">
<div class='div_detail_label'><span
	class='portlet-form-field-label'> <spago4q:message
	key="s4q.label.name" /> </span></div>
<div class='div_detail_form'><input
	class='portlet-form-input-field' type="text" name="name" size="50"
	value="<%=name%>" maxlength="200"> &nbsp;*</div>

<BR>

<div class='div_detail_label'><span
	class='portlet-form-field-label'> <spago4q:message
	key="s4q.label.description" /> </span></div>
<div class='div_detail_form'>
<input
  class='portlet-form-input-field' type="text" name="description" size="50"
  value="<%=description%>" maxlength="200"></div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailKpi.code" /> </span></div>
<div class='div_detail_form'><input
  class='portlet-form-input-field' type="text" name="code" size="50"
  value="<%=code%>" maxlength="200"></div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailKpi.metric" /> </span></div>
<div style='height: 150px;' class='div_detail_form'><textarea
  style='height: 110px;' class='portlet-text-area-field' name='metric'
  cols='40'>
<%=metric%></textarea></div>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailKpi.idScale" /> </span></div>
<div class='div_detail_form'><spago4q:scaleList
  currentScale="<%=idScale%>" /></div>

<BR>

<div class='div_detail_label'><span
	class='portlet-form-field-label'> <spago4q:message
	key="s4q.detailKpi.documentLabel" /> </span></div>
<div class='div_detail_form'><spago4q:sbiDocList
	currentDoc="<%=documentLabel%>" /></div>


</div>

</form>

<spago4q:error />

<%@ include file="/jsp/footer.jsp"%>