<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page import="java.util.Vector"%>
<%@page import="it.eng.spago4q.utilities.sourceUtilities.ProcessSourceType"%>
<%@page import="it.eng.spago4q.utilities.sourceUtilities.AlreadyAssignedOperationUtil"%>

<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailOperationParameterModule");
  SourceBean operationParameter = (SourceBean) aServiceResponse
      .getAttribute("DetailOperationParameterModule");
  System.out.println(operationParameter.toString());

  String title = "";
  String id_operation= "";
  String name = "";
 String value="";
 String id_extraction_process="";
 String name_operation="";
 String sourceTypeName="";
 
  String message = DelegatedDetailService.DETAIL_INSERT;
  if (operationParameter.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) operationParameter
          .getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
  if (operationParameter.getAttribute("ROW.ID_OPERATION") != null)
    id_operation = String.valueOf(operationParameter.getAttribute("ROW.ID_OPERATION"));
  if (operationParameter.getAttribute("ROW.NAME") != null)
    name = (String) operationParameter.getAttribute("ROW.NAME");
  if (operationParameter.getAttribute("ROW.VALUE") != null)
    value= String.valueOf(operationParameter.getAttribute("ROW.VALUE"));

  if( aServiceRequest.getAttribute("ID_EXTRACTION_PROCESS")!=null){
      id_extraction_process=(String)aServiceRequest.getAttribute("ID_EXTRACTION_PROCESS");}

  if( aServiceRequest.getAttribute("NAME_OPERATION")!=null){
    name_operation=(String)aServiceRequest.getAttribute("NAME_OPERATION");}


      if( aServiceRequest.getAttribute("ID_OPERATION")!=null){
      id_operation=(String)aServiceRequest.getAttribute("ID_OPERATION");}     

      Vector<String> avalaibleParams=new Vector<String>();
      if(message.equalsIgnoreCase("DETAIL_INSERT")){
      AlreadyAssignedOperationUtil already=new AlreadyAssignedOperationUtil();
      sourceTypeName=already.getSourceTypeOperation(id_operation);
      avalaibleParams=already.getAvalaibleParametersNames(id_operation);
      already.close();
      }
   
  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "OperationParameterPage");
  formUrlPars.put("MODULE", "DetailOperationParameterModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "OperationParameterPage");
  backUrlPars.put("MODULE", "ListOperationParameterModule");
  backUrlPars.put("ID_OPERATION", id_operation); 
  backUrlPars.put("ID_EXTRACTION_PROCESS", id_extraction_process);
  backUrlPars.put("NAME_OPERATION", name_operation); 
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>

                <%
    String wTitle=new String("s4q.title.parDefinition");
    String wSubTitle=new String(name_operation);
    %>
    
  <%@ include file="/jsp/WizardHeader.jsp"%>
  
<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
      <%if((message.equalsIgnoreCase("DETAIL_INSERT") && avalaibleParams.size()>0)){ %>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('operationParameterForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
            <%}
    else {%>
        <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <%} %>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>


<div class="div_detail_area_forms">
<%if(message.equalsIgnoreCase("DETAIL_INSERT")){ %>

	<% 
	if(avalaibleParams.size()>0){  %>

    <form method='POST' action='<%=formUrl%>' id='operationParameterForm' name='operationParameterForm'>
    <input type='hidden' value='<%=id_operation%>' name='id_operation' />
    <input type='hidden' value='<%=id_extraction_process%>' name='id_extraction_process' />
    <input type='hidden' value='<%=name_operation%>' name='name_operation' />

    
    <div class='div_detail_label'><span
        class='portlet-form-field-label'> <spago4q:message
        key="s4q.label.name" /> </span></div>
        <div class='div_detail_form'>
        <!-- If I want to insert a new parameter I have the combo associated to the source-type-->
  
        <spago4q:operationPars avalaibleNames="<%=avalaibleParams%>" nameForm="name"/>
        </div>
        <BR>
          <div class='div_detail_label'><span
              class='portlet-form-field-label'> <spago4q:message
              key="s4q.detailOperation.project" /> </span></div>
         <div class='div_detail_form'>
           <spago4q:projectList/>
         </div>
        <BR>
        <div class='div_detail_label'><span
        class='portlet-form-field-label'> <spago4q:message
          key="s4q.detailOperation.value" /> </span></div>
        <div class='div_detail_form'>
        <input class='portlet-form-input-field' type="text" name="value" size="50"
          value="<%=value%>" maxlength="200"> &nbsp;*
        </div>
        </form>
      <%}
	   else{%>
	   <div class='div_detail_form'> 
	   <spago4q:message key="s4q.no.parameter" /></div> <% 
	 }
}else {// Update case
	 %>
    <div class='div_detail_label'><span
        class='portlet-form-field-label'> <spago4q:message
        key="s4q.label.name" /> </span></div>
        <div class='div_detail_form'>
      <%=name%>
  </div>
  
<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailOperation.value" /> </span></div>
<div class='div_detail_form'>
<%=value%>
</div>
  
  <%} %>




</div>

<spago4q:error />

  <%@ include file="/jsp/WizardFooter.jsp"%>

<%@ include file="/jsp/footer.jsp"%>