<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailScaleValueModule");
  SourceBean scaleValue = (SourceBean) aServiceResponse
      .getAttribute("DetailScaleValueModule");
  System.out.println(scaleValue.toString());

  String title = "";
  String id = "";
  String idV = "";
  String min_value = "";
  String max_value = "";
  String label = "";
  String colour = "";
  String name = "";

  String message = DelegatedDetailService.DETAIL_INSERT;
  if (scaleValue.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) scaleValue
          .getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }
  
  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
 if (scaleValue.getAttribute("ROW.IDV") != null)
    idV = String.valueOf(scaleValue.getAttribute("ROW.IDV"));
  if (scaleValue.getAttribute("ROW.MIN_VALUE") != null)
      min_value = String.valueOf((Double)scaleValue.getAttribute("ROW.MIN_VALUE"));
  if (scaleValue.getAttribute("ROW.MAX_VALUE") != null)
      max_value = String.valueOf((Double)scaleValue.getAttribute("ROW.MAX_VALUE"));
  if (scaleValue.getAttribute("ROW.LABEL") != null)
      label = (String) scaleValue.getAttribute("ROW.LABEL");
  if (scaleValue.getAttribute("ROW.COLOUR") != null)
      colour = (String) scaleValue.getAttribute("ROW.COLOUR");

  if( aServiceRequest.getAttribute("ID")!=null){
    	id=(String)aServiceRequest.getAttribute("ID");}
      
      if( aServiceRequest.getAttribute("NAME")!=null){
          name=(String)aServiceRequest.getAttribute("NAME");}
   
    Double minD=0.0;
    if(!min_value.equals("")){
    	  minD=Double.parseDouble(min_value);
    	  }
    
    Double maxD=0.0;
    if(!max_value.equals("")){
        maxD=Double.parseDouble(max_value);
        }
   
    //Integer min=new Integer(minD.intValue());
    //Integer max=new Integer(maxD.intValue());    
  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "ScaleValuePage");
  formUrlPars.put("MODULE", "DetailScaleValueModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "ScaleValuePage");
  backUrlPars.put("ID", id); 
  backUrlPars.put("NAME", name); 
  String backUrl = urlBuilder.getUrl(request, backUrlPars);

    String wTitle=new String("s4q.title.ScaleValuesDefinition");
    String wSubTitle=new String(name);
    %>
    
  <%@ include file="/jsp/WizardHeader.jsp"%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('scaleValueForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='scaleValueForm' name='scaleValueForm'>
<input type='hidden' value='<%=id%>' name='id' />
<input type='hidden' value='<%=idV%>' name='idV' />
<input type='hidden' value='<%=name%>' name='name' />

<div class="div_detail_area_forms">

<div class='div_detail_label'>
<span class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.minValue" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="text" name="min_value" size="50"
  value="<%=minD.toString()%>" maxlength="200"> &nbsp;</div>

<div class='div_detail_label'>
<span class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.maxValue" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="text" name="max_value" size="50"
  value="<%=maxD.toString()%>" maxlength="200"> &nbsp;</div>

<div class='div_detail_label'>
<span class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.label" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="text" name="label" size="50"
  value="<%=label%>" maxlength="200"> &nbsp;
  </div>

<div class='div_detail_label'>
<span class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.colour" /> </span></div>
<div class='div_detail_form'>
<%
String urli=urlBuilder.getResourceLink(request,"/js/colorPicker.js");
%>
<script type="text/javascript" src="<%=urli%>"></script>
<SCRIPT LANGUAGE="JavaScript">
var cp = new ColorPicker('window'); // Popup window
</SCRIPT>

<INPUT style="background-color:<%=colour%>" class='portlet-form-input-field' TYPE="text" NAME="colour" SIZE="20" value="<%=colour%>"> 

<A HREF="#" onClick="javascript:cp.select(document.forms[0].colour,'pick');return false;" NAME="pick" ID="pick">Change Color</A>
<SCRIPT LANGUAGE="JavaScript">cp.writeDiv()</SCRIPT>

</div>
</div>
</form>

<spago4q:error />
  <%@ include file="/jsp/WizardFooter.jsp"%>
<%@ include file="/jsp/footer.jsp"%>