<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailUserKpiModule");
  SourceBean bean = (SourceBean) aServiceResponse
      .getAttribute("DetailUserKpiModule");
  System.out.println(bean.toString());

  String title = "";
  String id_kpi = "";
  String id_user = "";
  String id_scale= "";
 
 

  String message = DelegatedDetailService.DETAIL_INSERT;
  if (bean.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) bean.getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
  if (bean.getAttribute("ROW.ID_USER") != null)
    id_user = String.valueOf(bean.getAttribute("ROW.ID_USER"));
  if (bean.getAttribute("ROW.ID_KPI") != null)
    id_kpi= String.valueOf(bean.getAttribute("ROW.ID_KPI"));
  if (bean.getAttribute("ROW.ID_SCALE") != null)
    id_scale= String.valueOf(bean.getAttribute("ROW.ID_SCALE"));

  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "UserKpiPage");
  formUrlPars.put("MODULE", "DetailUserKpiModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);

  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "UserKpiPage");
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'><spago4q:message
      key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('userKpiForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='userKpiForm' name='userKpiForm'>
<div class="div_detail_area_forms">

<%
if(message.equalsIgnoreCase("DETAIL_UPDATE")){
	String name_user="";
	String name_kpi="";
	String surname_user="";
	if (bean.getAttribute("ROW.NAME_USER") != null)
		    name_user = (String)bean.getAttribute("ROW.NAME_USER");
  if (bean.getAttribute("ROW.SURNAME_USER") != null)
	        surname_user = (String)bean.getAttribute("ROW.SURNAME_USER");
	if (bean.getAttribute("ROW.NAME_KPI") != null)
		    name_kpi= (String) bean.getAttribute("ROW.NAME_KPI");
%>
<input type='hidden' value='<%=id_user%>' name='id_user' />
<input type='hidden' value='<%=id_kpi%>' name='id_kpi' />

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.lastName" /> </span></div>
<div class='div_detail_form'><%=surname_user%></div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.firstName" /> </span></div>
<div class='div_detail_form'><%=name_user%></div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.kpi" /> </span></div>
<div class='div_detail_form'><%=name_kpi%></div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.scale" /> </span></div>
<div class='div_detail_form'>
  <spago4q:scaleList currentScale="<%=id_scale%>"/>
</div>
<BR>


<% 	
}
else if(message.equalsIgnoreCase("DETAIL_INSERT")){
%>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.user" /> </span></div>
<div class='div_detail_form'>
<spago4q:userList />&nbsp;*</div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.kpi" /> </span></div>
<div class='div_detail_form'>
<spago4q:kpiList />&nbsp;*</div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.scale" /> </span></div>
<div class='div_detail_form'>
<spago4q:scaleList />&nbsp;</div>
<%} %>

</div>
</form>

<spago4q:error />

<%@ include file="/jsp/footer.jsp"%>