<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>

<%
String title = "";
SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME","DetailAssessmentModelModule");
if (moduleBean.getAttribute("CONFIG.TITLE") != null)
  title = (String) moduleBean.getAttribute("CONFIG.TITLE");

String message = DelegatedDetailService.DETAIL_UPDATE;

Map backUrlPars = new HashMap();
backUrlPars.put("PAGE", "AssessmentModelPage");
String backUrl = urlBuilder.getUrl(request, backUrlPars);

Map formUrlPars = new HashMap();
formUrlPars.put("PAGE", "AssessmentModelKPIPage");
formUrlPars.put("MODULE", "DetailAssessmentKpiModule");
formUrlPars.put("MESSAGE", message);

String formUrl = urlBuilder.getUrl(request, formUrlPars);

String type="";
String ma="";
String af="";
String ac="";
String at="";
String ap="";
String kpi="";

RequestContainer requestContainer=RequestContainer.getRequestContainer();
if(requestContainer.getServiceRequest().getAttribute("type")!=null)
type=(String)requestContainer.getServiceRequest().getAttribute("type");
if(requestContainer.getServiceRequest().getAttribute("id")!=null)
ma=(String)requestContainer.getServiceRequest().getAttribute("id");
if(requestContainer.getServiceRequest().getAttribute("af")!=null)
af=(String)requestContainer.getServiceRequest().getAttribute("af");
if(requestContainer.getServiceRequest().getAttribute("ac")!=null)
ac=(String)requestContainer.getServiceRequest().getAttribute("ac");
if(requestContainer.getServiceRequest().getAttribute("at")!=null)
at=(String)requestContainer.getServiceRequest().getAttribute("at");
if(requestContainer.getServiceRequest().getAttribute("ap")!=null)
ap=(String)requestContainer.getServiceRequest().getAttribute("ap");
if(requestContainer.getServiceRequest().getAttribute("kpi")!=null)
kpi=(String)requestContainer.getServiceRequest().getAttribute("kpi");

%>

<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'>
      <spago4q:message key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <% // limits the save function to some types 
    if(type.equalsIgnoreCase("ac") || type.equalsIgnoreCase("at") || type.equalsIgnoreCase("ap")){
    %>
      <td class='header-button-column-portlet-section'><a
        href="javascript:document.getElementById('assessmentKpiForm').submit()"> <img
        class='header-button-image-portlet-section'
        title='<spago4q:message key = "s4q.button.save.title" />'
        src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
        alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <%}
    else {%>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
      <%} %>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>


<table width="100%" style="margin-top:3px; margin-left:3px; margin-right:3px; margin-bottom:5px;">
<tr height = "20">
<td class="td_tree">   <!-- Column with the navigation tree -->
<%
// drawing the tree

SessionContainer sessionContainer=requestContainer.getSessionContainer();
SourceBean tranPar= (SourceBean)sessionContainer.getAttribute("objectsList");
List objectsList=(List)tranPar.getAttributeAsList("ROW");
%>

<spago4q:treeObjects moduleName="ListAssessmentModelKPIModule"
  htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.AssessmentModelTreeHtmlGenerator" 
  list_="<%=objectsList%>"/>
</td>
<td class="td_form">

<% 

//swith on the type 
if(type.equalsIgnoreCase("ma")){
  String ma_name="";
  if(requestContainer.getServiceRequest().getAttribute("ma_name")!=null)
  ma_name=(String)requestContainer.getServiceRequest().getAttribute("ma_name");
%>  
  <div class='div_detail_label'><span
    class='portlet-form-field-label'> 
    <spago4q:message key="s4q.treeStructure.modelAssessment" /> </span></div>
  <div class='div_detail_form'>
<%=ma_name%></div>
<% 
}
else if(type.equalsIgnoreCase("af")){
  String assessmentFrameworkName="";
  if(requestContainer.getServiceRequest().getAttribute("af_name")!=null)
  assessmentFrameworkName=(String)requestContainer.getServiceRequest().getAttribute("af_name");
  %>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.assessmentFramework" /> </span></div>
    <div class='div_detail_form'>
    <%=assessmentFrameworkName%></div>
  <%  
}
else
{
  if(type.equalsIgnoreCase("ac")){
    String assessmentCategoryName="";
    if(requestContainer.getServiceRequest().getAttribute("ac_name")!=null)
    assessmentCategoryName=(String)requestContainer.getServiceRequest().getAttribute("ac_name");
    String assessmentCategoryCode="";
    if(requestContainer.getServiceRequest().getAttribute("ac_code")!=null)
    assessmentCategoryCode=(String)requestContainer.getServiceRequest().getAttribute("ac_code");
    %>  
      <div class='div_detail_label'><span
        class='portlet-form-field-label'> 
        <spago4q:message key="s4q.treeStructure.assessmentCategory" /> </span></div>
      <div class='div_detail_form'>
      <%=assessmentCategoryName%></div>
      <BR>
     <div class='div_detail_label'><span
          class='portlet-form-field-label'> 
          <spago4q:message key="s4q.label.code" /> </span></div>
      <div class='div_detail_form'>
      <%=assessmentCategoryCode%></div>
      
    <%    
    } // close the information need if
    else if(type.equalsIgnoreCase("at")){
      String assessmentTargetName="";
      if(requestContainer.getServiceRequest().getAttribute("at_name")!=null)
      assessmentTargetName=(String)requestContainer.getServiceRequest().getAttribute("at_name");
      
      String assessmentTargetCode="";
      if(requestContainer.getServiceRequest().getAttribute("at_code")!=null)
      assessmentTargetCode=(String)requestContainer.getServiceRequest().getAttribute("at_code");
      %>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.assessmentTarget" /> </span></div>
    <div class='div_detail_form'>
   <%=assessmentTargetName%></div>
   <BR>
       <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.label.code" /> </span></div>
    <div class='div_detail_form'>
   <%=assessmentTargetCode%></div>
  <%      
  }// close the assessment target if
  
  else if(type.equalsIgnoreCase("ap")){
    String assessmentPracticeName="";
    if(requestContainer.getServiceRequest().getAttribute("ap_name")!=null)
    assessmentPracticeName=(String)requestContainer.getServiceRequest().getAttribute("ap_name");
    String assessmentPracticeCode="";
    if(requestContainer.getServiceRequest().getAttribute("ap_code")!=null)
    assessmentPracticeCode=(String)requestContainer.getServiceRequest().getAttribute("ap_code");

    %>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.assessmentPractice" /> </span></div>
    <div class='div_detail_form'>
 <%=assessmentPracticeName%></div>
 <BR>
     <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.label.code" /> </span></div>
    <div class='div_detail_form'>
 <%=assessmentPracticeCode%></div>
 
  <%      
} // close the asssessment practiceif
  %>
        <BR>
  <form method='POST' action='<%=formUrl%>' id='assessmentKpiForm' name='assessmentKpiForm'>
 <input type='hidden' value='<%=ma%>' name='ma' />
 <input type='hidden' value='<%=af%>' name='af' />
 <input type='hidden' value='<%=ac%>' name='ac' />
 <input type='hidden' value='<%=at%>' name='at' />
 <input type='hidden' value='<%=ap%>' name='ap' />
  <div class='div_detail_label'><span
         class='portlet-form-field-label'> 
         <spago4q:message key="s4q.treeStructure.Kpi" /> </span></div>
    <div class='div_detail_form'>
    
    <spago4q:kpiList currentKpi="<%=kpi%>" />
    </div>
  </form>
  <% 
} // close the form input if
%>

</td>
</tr>
</table>
<spago4q:error />
<%@ include file="/jsp/footer.jsp"%>