<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
  import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig
      .getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
          "DetailExtractionProcessModule");
  SourceBean extractionProcess = (SourceBean) aServiceResponse
      .getAttribute("DetailExtractionProcessModule");
  System.out.println(extractionProcess.toString());

  String title = "";
  String id_extraction_process = "";
  String name = "";
  String description = "";
 String interface_id="";
 String interface_name="";
 
  String message = DelegatedDetailService.DETAIL_INSERT;
  if (extractionProcess.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
      && ((String) extractionProcess
          .getAttribute(DelegatedDetailService.SERVICE_MODE))
          .equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
    message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
    title = (String) moduleBean.getAttribute("CONFIG.TITLE");
  if (extractionProcess.getAttribute("ROW.ID_EXTRACTION_PROCESS") != null)
    id_extraction_process = String.valueOf(extractionProcess.getAttribute("ROW.ID_EXTRACTION_PROCESS"));
  if (extractionProcess.getAttribute("ROW.NAME") != null)
    name = (String) extractionProcess.getAttribute("ROW.NAME");
  if (extractionProcess.getAttribute("ROW.INTERFACE_ID") != null)
   interface_id = String.valueOf(extractionProcess.getAttribute("ROW.INTERFACE_ID"));
  if (extractionProcess.getAttribute("ROW.INTERFACE_NAME") != null)
	   interface_name = String.valueOf(extractionProcess.getAttribute("ROW.INTERFACE_NAME"));
  if (extractionProcess.getAttribute("ROW.DESCRIPTION") != null)
    description = (String) extractionProcess.getAttribute("ROW.DESCRIPTION");
      
  
  if(interface_id.equalsIgnoreCase("")){
      if( aServiceRequest.getAttribute("INTERFACE_ID")!=null){
      interface_id=(String)aServiceRequest.getAttribute("INTERFACE_ID");}
      }

  
  
  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "ExtractionProcessPage");
  formUrlPars.put("MODULE", "DetailExtractionProcessModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);

  
  // in the case of insert I come back to interface selection page
  // in the case of detail I come back to the Extractio Process List
    Map backUrlPars = new HashMap();
    backUrlPars.put("PAGE", "ExtractionProcessPage");

  if(message.equalsIgnoreCase("DETAIL_INSERT"))
		  {
	    backUrlPars.put("MODULE", "ListInterfaceModule"); 
		  }
  else
	  {
	  backUrlPars.put("MODULE", "ListExtractionProcessModule"); 
	  }
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
  

if(message.equalsIgnoreCase("DETAIL_INSERT")){
	%>
<%
    String wTitle=new String("s4q.title.insertProcess2/2");
    String wSubTitle=new String("s4q.detailExtractionProcess.title");
    %>
    
<%@ include file="/jsp/WizardHeader.jsp"%>
	
	<% 
}
%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'>
      <spago4q:message key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'><a
      href="javascript:document.getElementById('extractionProcessForm').submit()"> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='extractionProcessForm' name='extractionProcessForm'>
<input type='hidden' value='<%=id_extraction_process%>' name='id_extraction_process' />
<input type='hidden' value='<%=interface_id%>' name='interface_id' />

<div class="div_detail_area_forms">
<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.label.name" /> </span></div>
<div class='div_detail_form'><input
  class='portlet-form-input-field' type="text" name="name" size="50"
  value="<%=name%>" maxlength="200"> &nbsp;*</div>

<BR>

<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailExtractionProcess.description" /> </span></div>
<div class='div_detail_form'>
<input class='portlet-form-input-field' type="text" name="description" size="50"
  value="<%=description%>" maxlength="200"> &nbsp;
</div>

<BR>

<%if(!message.equalsIgnoreCase("DETAIL_INSERT")){ %>
<div class='div_detail_label'><span
  class='portlet-form-field-label'> <spago4q:message
  key="s4q.detailExtractionProcess.Interface_Name" /> </span></div>
<div class='div_detail_form'>
<%=interface_name %>
</div>
<%} %>
</div>
</form>

<%if(message.equalsIgnoreCase("DETAIL_INSERT")){ %>

<%@ include file="/jsp/WizardFooter.jsp"%>
<%} %>
<spago4q:error />

<%@ include file="/jsp/footer.jsp"%>