<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,
                 java.util.HashMap" 
                 %>
<%@page import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
  SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME", "DetailMeasureModelModule");
  SourceBean model = (SourceBean)aServiceResponse.getAttribute("DetailMeasureModelModule"); 
  System.out.println(model.toString());
  
  String title = "";
  String id = "";
  String name = "";
  
  String message = DelegatedDetailService.DETAIL_INSERT;
  if (model.getAttribute(DelegatedDetailService.SERVICE_MODE) != null &&
		  ((String)model.getAttribute(DelegatedDetailService.SERVICE_MODE)).equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
	  message = DelegatedDetailService.DETAIL_UPDATE;
  }

  if (moduleBean.getAttribute("CONFIG.TITLE") != null)
	  title = (String)moduleBean.getAttribute("CONFIG.TITLE");
  if (model.getAttribute("ROW.ID") != null)
	  id = String.valueOf(model.getAttribute("ROW.ID"));
	if (model.getAttribute("ROW.NAME") != null)
		name = (String)model.getAttribute("ROW.NAME");
  
  Map formUrlPars = new HashMap();
  formUrlPars.put("PAGE", "MeasureModelPage");
  formUrlPars.put("MODULE", "DetailMeasureModelModule");
  formUrlPars.put("MESSAGE", message);
  String formUrl = urlBuilder.getUrl(request, formUrlPars);
  
  Map backUrlPars = new HashMap();
  backUrlPars.put("PAGE", "MeasureModelPage");
  String backUrl = urlBuilder.getUrl(request, backUrlPars);
  
%>



<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>    
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section' 
        style='vertical-align:middle;padding-left:5px;'>
      <spago4q:message key="<%=title%>"/>
    </td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <td class='header-button-column-portlet-section'>
      <a href="javascript:document.getElementById('measureModelForm').submit()"> 
            <img class='header-button-image-portlet-section' title='<spago4q:message key = "s4q.button.save.title" />' src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>' alt='<spago4q:message key = "s4q.button.save.title" />' /> 
      </a>
    </td>
    <td class='header-button-column-portlet-section'>
      <a href='<%=backUrl%>'> 
            <img class='header-button-image-portlet-section' title='<spago4q:message key = "s4q.button.back.title" />' src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>' alt='<spago4q:message key = "s4q.button.back.title" />' />
      </a>
    </td>
  </tr>
</table>

<form method='POST' action='<%=formUrl%>' id='measureModelForm' name='measureModelForm'>
  <input type='hidden' value='<%=id%>' name='id' />
  
  <div class="div_detail_area_forms" >
    <div class='div_detail_label'>
      <span class='portlet-form-field-label'>
        <spago4q:message key = "s4q.label.name" />
      </span>
    </div>
    <div class='div_detail_form'>
      <input class='portlet-form-input-field' type="text" name="name" 
             size="50" value="<%=name%>" maxlength="200">
      &nbsp;*
    </div>
  </div>
  
</form>

<spago4q:error/>
<%@ include file="/jsp/footer.jsp"%>