<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page
	import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>

<%
	String title = "";
	SourceBean moduleBean = (SourceBean) spagoconfig
			.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
					"DetailMeasurementFrameworkModule");
	if (moduleBean.getAttribute("CONFIG.TITLE") != null)
		title = (String) moduleBean.getAttribute("CONFIG.TITLE");

	String message = DelegatedDetailService.DETAIL_UPDATE;

	String type = "";

	String mf = "";
	String in = "";
	String in_name = "";
	String in_code = "";

	String mc = "";
	String mc_name = "";
	String mc_code = "";

	String ma = "";
	String ma_name = "";
	String ma_code = "";

	RequestContainer requestContainer = RequestContainer
			.getRequestContainer();
	if ((String) requestContainer.getServiceRequest().getAttribute(
			"type") != null)
		type = (String) requestContainer.getServiceRequest()
				.getAttribute("type");
	if ((String) requestContainer.getServiceRequest()
			.getAttribute("mf") != null)
		mf = (String) requestContainer.getServiceRequest()
				.getAttribute("mf");

	String currentId = "";
	String currentName = "";
	String currentCode = "";
	String titleForm = "";

	Map backUrlPars = new HashMap();
	backUrlPars.put("PAGE", "MeasurementFrameworkTreePage");
	backUrlPars.put("MODULE", "ListMeasurementFrameworkTreePage");
	backUrlPars.put("MF", mf);

	String backUrl = urlBuilder.getUrl(request, backUrlPars);

	Map formUrlPars = new HashMap();
	formUrlPars.put("PAGE", "MeasurementFrameworkTreePage");

	formUrlPars.put("MESSAGE", message);

	if (type.equalsIgnoreCase("IN")) {
		if ((String) requestContainer.getServiceRequest().getAttribute("in") != null)
			in = (String) requestContainer.getServiceRequest().getAttribute("in");
		if ((String) requestContainer.getServiceRequest().getAttribute("in_name") != null)
			in_name = (String) requestContainer.getServiceRequest()
					.getAttribute("in_name");
		if ((String) requestContainer.getServiceRequest().getAttribute(
				"in_code") != null)
			in_code = (String) requestContainer.getServiceRequest()
					.getAttribute("in_code");
		currentId = in;
		currentName = in_name;
		currentCode = in_code;
		titleForm = "s4q.treeStructure.informationNeed";
		formUrlPars.put("MODULE", "DetailInformationNeedModule");
	} else if (type.equalsIgnoreCase("MC")) {
		if ((String) requestContainer.getServiceRequest().getAttribute("mc") != null)
			mc = (String) requestContainer.getServiceRequest().getAttribute("mc");
		if ((String) requestContainer.getServiceRequest().getAttribute("mc_name") != null)
			mc_name = (String) requestContainer.getServiceRequest().getAttribute("mc_name");
		if ((String) requestContainer.getServiceRequest().getAttribute("mc_code") != null)
			mc_code = (String) requestContainer.getServiceRequest().getAttribute("mc_code");
		currentId = mc;
		currentName = mc_name;
		currentCode = mc_code;
		titleForm = "s4q.treeStructure.measurableConcept";
		formUrlPars.put("MODULE", "DetailMeasurableConceptModule");
	} else if (type.equalsIgnoreCase("MA")) {
		if ((String) requestContainer.getServiceRequest().getAttribute("ma") != null)
			ma = (String) requestContainer.getServiceRequest().getAttribute("ma");
		if ((String) requestContainer.getServiceRequest().getAttribute("ma_name") != null)
			ma_name = (String) requestContainer.getServiceRequest().getAttribute("ma_name");
		if ((String) requestContainer.getServiceRequest().getAttribute("ma_code") != null)
			ma_code = (String) requestContainer.getServiceRequest().getAttribute("ma_code");
		currentId = ma;
		currentName = ma_name;
		currentCode = ma_code;
		titleForm = "s4q.treeStructure.measurableAttribute";
		formUrlPars.put("MODULE", "DetailMeasurableAttributeModule");
	}

	String formUrl = urlBuilder.getUrl(request, formUrlPars);
%>


<table class='header-table-portlet-section'>
	<tr class='header-row-portlet-section'>
		<td class='header-title-column-portlet-section'
			style='vertical-align: middle; padding-left: 5px;'><spago4q:message
			key="<%=title%>" /></td>
		<td class='header-empty-column-portlet-section'>&nbsp;</td>
		<td class='header-button-column-portlet-section'><a
			href="javascript:document.getElementById('measurementFrameworkTreeForm').submit()">
		<img class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.save.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
			alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
		<td class='header-button-column-portlet-section'><a
			href='<%=backUrl%>'> <img
			class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.back.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
			alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
	</tr>
</table>


<table width="100%"
	style="margin-top: 3px; margin-left: 3px; margin-right: 3px; margin-bottom: 5px;">
	<tr height="20">
		<td class="td_tree"><!-- Column with the navigation tree --> <%
 	// drawing the tree

 	SessionContainer sessionContainer = requestContainer
 			.getSessionContainer();
 	SourceBean tranPar = (SourceBean) sessionContainer
 			.getAttribute("objectsList");
 	List objectsList = (List) tranPar.getAttributeAsList("ROW");
 %> <spago4q:treeObjects moduleName="ListMeasurementFrameworkTreeModule"
			htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.MeasureStructureTreeHtmlGenerator"
			list_="<%=objectsList%>" /></td>
		<td class='td_form'>

		<form method='POST' action='<%=formUrl%>'
			id='measurementFrameworkTreeForm' name='measurementFrameworkTreeForm'>

		<div class='div_detail_label_title2'><span
			class='portlet-form-field-label_title'> <spago4q:message
			key="<%=titleForm%>" /> </span></div>
		<BR>
		<BR>
		<BR>


		<div class='div_detail_label'><span
			class='portlet-form-field-label'> <spago4q:message
			key="s4q.label.name" /> </span></div>
		<div class='div_detail_form'><input
			class='portlet-form-input-field' type="text" name="name" size="50"
			value="<%=currentName%>" maxlength="200"> &nbsp;</div>

		<BR>
		<div class='div_detail_label'><span
			class='portlet-form-field-label'> <spago4q:message
			key="s4q.label.code" /> </span></div>
		<div class='div_detail_form'><input
			class='portlet-form-input-field' type="text" name="code" size="50"
			value="<%=currentCode%>" maxlength="200"> &nbsp;</div>
		<BR>


		<%
		// Commento la scrittura dei campi table_name e field_name: uso ancora da definire!
			//if (type.equalsIgnoreCase("MA")) {
		%> 
	<!-- <spago4q:measurableAttribute id="codice ma" /> -->
	<%
 	//}
 %> 

 
 <input type='hidden' value='<%=currentId%>' name='id' /> <input
			type='hidden' value='<%=type%>' name='type' /> <input type='hidden'
			value='<%=mf%>' name='mf' /></form>

		</td>
	</tr>
</table>
<spago4q:error />
<%@ include file="/jsp/footer.jsp"%>