<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>

<%@ page import="java.util.Map,java.util.HashMap"%>
<%@page
	import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%
	SourceBean moduleBean = (SourceBean) spagoconfig
			.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME",
					"DetailOperationModule");
	SourceBean operation = (SourceBean) aServiceResponse
			.getAttribute("DetailOperationModule");
	System.out.println(operation.toString());

	String title = "";
	String id_operation = "";
	String name = "";
	String name_datasource = "";
	String id_extraction_process = "";
	String id_datasource="";
	String message = DelegatedDetailService.DETAIL_INSERT;
	if (operation.getAttribute(DelegatedDetailService.SERVICE_MODE) != null
			&& ((String) operation
					.getAttribute(DelegatedDetailService.SERVICE_MODE))
					.equalsIgnoreCase(DelegatedDetailService.SERVICE_MODE_UPDATE)) {
		message = DelegatedDetailService.DETAIL_UPDATE;
	}

	if (moduleBean.getAttribute("CONFIG.TITLE") != null)
		title = (String) moduleBean.getAttribute("CONFIG.TITLE");
	if (operation.getAttribute("ROW.ID_OPERATION") != null)
		id_operation = String.valueOf(operation
				.getAttribute("ROW.ID_OPERATION"));
	if (operation.getAttribute("ROW.NAME") != null)
		name = (String) operation.getAttribute("ROW.NAME");
	if (operation.getAttribute("ROW.NAME_DATASOURCE") != null)
		name_datasource = String.valueOf(operation
				.getAttribute("ROW.NAME_DATASOURCE"));

	if (aServiceRequest.getAttribute("ID_EXTRACTION_PROCESS") != null) {
		id_extraction_process = (String) aServiceRequest
				.getAttribute("ID_EXTRACTION_PROCESS");
	}
	 if (aServiceRequest.getAttribute("ID_DATASOURCE") != null) {
		    id_datasource= (String) aServiceRequest
		        .getAttribute("ID_DATASOURCE");
		  }


	Map formUrlPars = new HashMap();
	formUrlPars.put("PAGE", "OperationPage");
	formUrlPars.put("MODULE", "DetailOperationModule");
	formUrlPars.put("MESSAGE", message);
	String formUrl = urlBuilder.getUrl(request, formUrlPars);

	Map backUrlPars = new HashMap();
	backUrlPars.put("PAGE", "OperationPage");
	backUrlPars.put("MODULE", "ListOperationModule");
	backUrlPars.put("ID_EXTRACTION_PROCESS", id_extraction_process);
	String backUrl = urlBuilder.getUrl(request, backUrlPars);

if(message.equalsIgnoreCase("DETAIL_INSERT")){%>

		        <%
    String wTitle=new String("s4q.title.insertOperation3/3");
    String wSubTitle=new String("s4q.label.defineDetail");
    %>
    
  <%@ include file="/jsp/WizardHeader.jsp"%>
		
		
	<% 
}
%>

<%@page import="it.eng.spago.navigation.LightNavigationManager"%>
<table class='header-table-portlet-section'>
	<tr class='header-row-portlet-section'>
		<td class='header-title-column-portlet-section'
			style='vertical-align: middle; padding-left: 5px;'><spago4q:message
			key="<%=title%>" /></td>
		<td class='header-empty-column-portlet-section'>&nbsp;</td>
		<td class='header-button-column-portlet-section'><a
			href="javascript:document.getElementById('operationForm').submit()">
		<img class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.save.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
			alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
		<td class='header-button-column-portlet-section'><a
			href='<%=backUrl%>'> <img
			class='header-button-image-portlet-section'
			title='<spago4q:message key = "s4q.button.back.title" />'
			src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
			alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
	</tr>
</table>

<form method='POST' action='<%=formUrl%>' id='operationForm'
	name='operationForm'>
	
	<input type='hidden' value='<%=id_extraction_process%>' name='id_extraction_process' />
  <% 
  if(message.equalsIgnoreCase("DETAIL_INSERT")){%>
	 <input type='hidden'
		  value='<%=id_datasource%>' name='id_datasource' />
  <% }
  else if(message.equalsIgnoreCase("DETAIL_UPDATE")){%>
     <input type='hidden'
      value='<%=id_operation%>' name='id_operation' />
  <%} %>
  
<div class="div_detail_area_forms">
<div class='div_detail_label'><span
	class='portlet-form-field-label'> <spago4q:message
	key="s4q.label.name" /> </span></div>
<div class='div_detail_form'><input
	class='portlet-form-input-field' type="text" name="name" size="50"
	value="<%=name%>" maxlength="200"> &nbsp;*</div>

<%
	if (message.equalsIgnoreCase("DETAIL_UPDATE")) {
%>

<div class='div_detail_label'><span
	class='portlet-form-field-label'> <spago4q:message
	key="s4q.operation.dataSource" /> </span></div>
<div class='div_detail_form'><%=name_datasource%></div>
<%
	}
%>
</div>
</form>
<%if(message.equalsIgnoreCase("DETAIL_INSERT")){ %>
 
  <%@ include file="/jsp/WizardFooter.jsp"%>

<%} %>
<spago4q:error />
<%@ include file="/jsp/footer.jsp"%>