<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>
<%@page import="java.util.Vector"%>
<%@page import="it.eng.spago4q.utilities.ChannelUtilities"%>

<%
String title = "";
SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME","DetailMeasureModelModule");
if (moduleBean.getAttribute("CONFIG.TITLE") != null)
  title = (String) moduleBean.getAttribute("CONFIG.TITLE");

String message = DelegatedDetailService.DETAIL_INSERT;

Map backUrlPars = new HashMap();
backUrlPars.put("PAGE", "MeasureModelPage");
String backUrl = urlBuilder.getUrl(request, backUrlPars);

Map formUrlPars = new HashMap();
formUrlPars.put("PAGE", "MeasureModelKPIPage");
formUrlPars.put("MODULE", "DetailMeasureKpiModule");
formUrlPars.put("MESSAGE", message);
String formUrl = urlBuilder.getUrl(request, formUrlPars);

RequestContainer requestContainer=RequestContainer.getRequestContainer();
String type=(String)requestContainer.getServiceRequest().getAttribute("type");
String mm=(String)requestContainer.getServiceRequest().getAttribute("id");
String area=(String)requestContainer.getServiceRequest().getAttribute("area");
String mf=(String)requestContainer.getServiceRequest().getAttribute("mf");
String in=(String)requestContainer.getServiceRequest().getAttribute("in");
String mc=(String)requestContainer.getServiceRequest().getAttribute("mc");
String ma=(String)requestContainer.getServiceRequest().getAttribute("ma");

// Checking wich are the sons of the current node, if there are no nodes free the save button must not be displayed
Boolean none=true;
Vector<String> assignedIds=new Vector();
String kpi=new String("0");

if(!type.equalsIgnoreCase("ma")){  // no insert option for type measurable attribute
	 	AlreadyAssignedMeasureUtil alreadyAssignedUtil=new AlreadyAssignedMeasureUtil(mm,area,mf,in,mc);
	  alreadyAssignedUtil.runFunctions(type);
	  assignedIds=alreadyAssignedUtil.getAssignedIds();
	  none=alreadyAssignedUtil.getNone();
}
%>


<%@page import="it.eng.spago4q.utilities.modelKpiUtilities.AlreadyAssignedMeasureUtil"%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title><%=title%></title>
</head>
<body>
<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'>
      <spago4q:message key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
       <% // limits the save function to some types 
    if(none.equals(false)){
    %>
    <td class='header-button-column-portlet-section'>
    <a href="javascript:document.getElementById('measureKpiForm').submit()"> 
    <img class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.save.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
      alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
   <%}
     else
     {%>
        <td class='header-empty-column-portlet-section'>&nbsp;</td>
     <%
     }
     %>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>

<table width="100%" class="margin-top:3px; margin-left:3px; margin-right:3px; margin-bottom:5px">
<tr height = "20">
<td class="td_tree">   <!-- Column with the navigation tree -->

<%

//drawing the tree

SessionContainer sessionContainer=requestContainer.getSessionContainer();
SourceBean tranPar= (SourceBean)sessionContainer.getAttribute("objectsList");
List objectsList=(List)tranPar.getAttributeAsList("ROW");

%>

<spago4q:treeObjects moduleName="ListMeasureModelKPIModule"
  htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.MeasureModelTreeHtmlGenerator" 
  list_="<%=objectsList%>"/>
</td>
<td class='td_form'>

<% 

//swith on the type 
if(type.equalsIgnoreCase("mm")){
	String mm_name=(String)requestContainer.getServiceRequest().getAttribute("mm_name");
	%>  
        <div class='div_detail_label'>
        <span class='portlet-form-field-label'> 
          <spago4q:message key="s4q.treeStructure.modelMeasure" /> 
          </span>
        </div>
        <div class='div_detail_form'>
     <%=mm_name%></div>
    <BR>
       <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
        <input type='hidden' value='<%=mm%>' name='mm' />
          <div class='div_detail_label'>
          <span class='portlet-form-field-label'> 
                <spago4q:message key="s4q.treeStructure.area" /> </span></div>
            <div class='div_detail_form'>
      <spago4q:addingFormList statementName="LIST_AREA" formName="area" assignedIds="<%=assignedIds%>"/>
        </div>
        <input type='hidden' value='<%=mf%>' name='mf' />
        <input type='hidden' value='<%=in%>' name='in' />
        <input type='hidden' value='<%=mc%>' name='mc' />
        <input type='hidden' value='<%=ma%>' name='ma' />
        <input type='hidden' value='<%=kpi%>' name='kpi' />
      </form>
  <% 

}
else if(type.equalsIgnoreCase("area")){
	String areaName=(String)requestContainer.getServiceRequest().getAttribute("area_name");
	%>  
	      <div class='div_detail_label'>
	      <span class='portlet-form-field-label'> 
	        <spago4q:message key="s4q.treeStructure.area" /> 
	        </span>
	      </div>
	      <div class='div_detail_form'>
	      <%=areaName%></div>
	  <BR>
	     <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
	      <input type='hidden' value='<%=mm%>' name='mm' />
	      <input type='hidden' value='<%=area%>' name='area' />
	        <div class='div_detail_label'>
	        <span class='portlet-form-field-label'> 
	              <spago4q:message key="s4q.treeStructure.measurementFramework" /> </span></div>
	          <div class='div_detail_form'>
      <spago4q:addingFormList statementName="LIST_MEASUREMENT_FRAMEWORK" formName="mf" assignedIds="<%=assignedIds%>"/>
	      </div>
        <input type='hidden' value='<%=in%>' name='in' />
	      <input type='hidden' value='<%=mc%>' name='mc' />
	      <input type='hidden' value='<%=ma%>' name='ma' />
	      <input type='hidden' value='<%=kpi%>' name='kpi' />
	    </form>
	<% 

}
else if(type.equalsIgnoreCase("mf")){    // case measurement framework
	String modelFrameworkName=(String)requestContainer.getServiceRequest().getAttribute("mf_name");
%>  
	    <div class='div_detail_label'>
	    <span class='portlet-form-field-label'> 
	      <spago4q:message key="s4q.treeStructure.measurementFramework" /> 
	      </span>
	    </div>
	    <div class='div_detail_form'>
	    <%=modelFrameworkName%></div>
  <BR>
     <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
      <input type='hidden' value='<%=mm%>' name='mm' />
      <input type='hidden' value='<%=area%>' name='area' />
      <input type='hidden' value='<%=mf%>' name='mf' />
        <div class='div_detail_label'>
        <span class='portlet-form-field-label'> 
              <spago4q:message key="s4q.treeStructure.informationNeed" /> </span></div>
          <div class='div_detail_form'>
      <spago4q:addingFormList statementName="LIST_INFORMATION_NEED" formName="in" whereClauseName="id_measurement_framework" whereClauseValue="<%=mf%>" assignedIds="<%=assignedIds%>"/>
      </div>
      <input type='hidden' value='<%=mc%>' name='mc' />
      <input type='hidden' value='<%=ma%>' name='ma' />
      <input type='hidden' value='<%=kpi%>' name='kpi' />
    </form>
<% 

}
else if(type.equalsIgnoreCase("in")){     // case information need
	String informationNeedName=(String)requestContainer.getServiceRequest().getAttribute("in_name");
	%>  
	      <div class='div_detail_label'>
	      <span class='portlet-form-field-label'> 
	        <spago4q:message key="s4q.treeStructure.informationNeed" /> 
	      </span>
	      </div>
	      <div class='div_detail_form'>
	    <%=informationNeedName%></div>
  <BR>
  <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
      <input type='hidden' value='<%=mm%>' name='mm' />
      <input type='hidden' value='<%=area%>' name='area' />
      <input type='hidden' value='<%=mf%>' name='mf' />
      <input type='hidden' value='<%=in%>' name='in' />
      <div class='div_detail_label'>
        <span class='portlet-form-field-label'> 
              <spago4q:message key="s4q.treeStructure.measurableConcept" /> </span></div>
          <div class='div_detail_form'>
      <spago4q:addingFormList statementName="LIST_MEASURABLE_CONCEPT" formName="mc" whereClauseName="id_information_need" whereClauseValue="<%=in%>" assignedIds="<%=assignedIds%>"/>
      </div>
      <input type='hidden' value='<%=ma%>' name='ma' />
     <% if(none.equals(false)){ %>
        <BR>
            <div class='div_detail_label'>
                <span class='portlet-form-field-label'> 
                  <spago4q:message key="s4q.treeStructure.Kpi" /> </span></div>
            <div class='div_detail_form'>
                 <spago4q:kpiList currentKpi="<%=kpi%>" />
            </div>
      <%} %>
      </form>
  	<% 
}
else if(type.equalsIgnoreCase("mc")){          // measurable concept case
	String measureConceptName=(String)requestContainer.getServiceRequest().getAttribute("mc_name");
	%>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.measurableConcept" /> </span></div>
    <div class='div_detail_form'>
    <%=measureConceptName%></div>
<BR>
  <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
      <input type='hidden' value='<%=mm%>' name='mm' />
      <input type='hidden' value='<%=area%>' name='area' />
      <input type='hidden' value='<%=mf%>' name='mf' />
      <input type='hidden' value='<%=in%>' name='in' />
      <input type='hidden' value='<%=mc%>' name='mc' />
      <div class='div_detail_label'>
        <span class='portlet-form-field-label'> 
              <spago4q:message key="s4q.treeStructure.measurableAttribute" /> </span></div>
          <div class='div_detail_form'>
      <spago4q:addingFormList statementName="LIST_MEASURABLE_ATTRIBUTE" formName="ma" whereClauseName="id_measurable_concept" whereClauseValue="<%=mc%>" assignedIds="<%=assignedIds%>"/>
      </div>
      <% if(none.equals(false)){ %>
        <BR>
            <div class='div_detail_label'>
                <span class='portlet-form-field-label'> 
                  <spago4q:message key="s4q.treeStructure.Kpi" /> </span></div>
            <div class='div_detail_form'>
                 <spago4q:kpiList currentKpi="<%=kpi%>" />
            </div>
      <%} %>
      </form>

<% 

}
else if(type.equalsIgnoreCase("ma")){}

%>
</td>
</tr>
</table>
<spago4q:error />
</body>
</html>