<%--
    Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
--%>

<%@ include file="/jsp/portlet_base.jsp"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.HashMap"%>
<%@page import="it.eng.spago.dispatching.service.detail.impl.DelegatedDetailService"%>

<%
String title = "";
SourceBean moduleBean = (SourceBean) spagoconfig.getFilteredSourceBeanAttribute("MODULES.MODULE", "NAME","DetailMeasureModelModule");
if (moduleBean.getAttribute("CONFIG.TITLE") != null)
  title = (String) moduleBean.getAttribute("CONFIG.TITLE");

String message = DelegatedDetailService.DETAIL_UPDATE;

Map backUrlPars = new HashMap();
backUrlPars.put("PAGE", "MeasureModelPage");
String backUrl = urlBuilder.getUrl(request, backUrlPars);

Map formUrlPars = new HashMap();
formUrlPars.put("PAGE", "MeasureModelKPIPage");
formUrlPars.put("MODULE", "DetailMeasureKpiModule");
formUrlPars.put("MESSAGE", message);

String formUrl = urlBuilder.getUrl(request, formUrlPars);

String type="";
String mm="";
String area="";
String mf="";
String in="";
String mc="";
String ma="";
String kpi="";

RequestContainer requestContainer=RequestContainer.getRequestContainer();
if((String)requestContainer.getServiceRequest().getAttribute("type")!=null)
type=(String)requestContainer.getServiceRequest().getAttribute("type");
if((String)requestContainer.getServiceRequest().getAttribute("id")!=null)
mm=(String)requestContainer.getServiceRequest().getAttribute("id");
if((String)requestContainer.getServiceRequest().getAttribute("area")!=null)
area=(String)requestContainer.getServiceRequest().getAttribute("area");
if((String)requestContainer.getServiceRequest().getAttribute("mf")!=null)
mf=(String)requestContainer.getServiceRequest().getAttribute("mf");
if((String)requestContainer.getServiceRequest().getAttribute("in")!=null)
in=(String)requestContainer.getServiceRequest().getAttribute("in");
if((String)requestContainer.getServiceRequest().getAttribute("mc")!=null)
mc=(String)requestContainer.getServiceRequest().getAttribute("mc");
if((String)requestContainer.getServiceRequest().getAttribute("ma")!=null)
ma=(String)requestContainer.getServiceRequest().getAttribute("ma");
if((String)requestContainer.getServiceRequest().getAttribute("kpi")!=null)
kpi=(String)requestContainer.getServiceRequest().getAttribute("kpi");

%>


<table class='header-table-portlet-section'>
  <tr class='header-row-portlet-section'>
    <td class='header-title-column-portlet-section'
      style='vertical-align: middle; padding-left: 5px;'>
      <spago4q:message key="<%=title%>" /></td>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
    <% // limits the save function to some types 
    if(type.equalsIgnoreCase("in") || type.equalsIgnoreCase("mc") || type.equalsIgnoreCase("ma")){
    %>
      <td class='header-button-column-portlet-section'><a
        href="javascript:document.getElementById('measureKpiForm').submit()"> <img
        class='header-button-image-portlet-section'
        title='<spago4q:message key = "s4q.button.save.title" />'
        src='<%=urlBuilder.getResourceLink(request, "/img/save.png")%>'
        alt='<spago4q:message key = "s4q.button.save.title" />' /> </a></td>
    <%}
    else {%>
    <td class='header-empty-column-portlet-section'>&nbsp;</td>
      <%} %>
    <td class='header-button-column-portlet-section'><a
      href='<%=backUrl%>'> <img
      class='header-button-image-portlet-section'
      title='<spago4q:message key = "s4q.button.back.title" />'
      src='<%=urlBuilder.getResourceLink(request, "/img/back.png")%>'
      alt='<spago4q:message key = "s4q.button.back.title" />' /> </a></td>
  </tr>
</table>


<table width="100%" style="margin-top:3px; margin-left:3px; margin-right:3px; margin-bottom:5px;">
<tr height = "20">
<td class="td_tree">   <!-- Column with the navigation tree -->
<%
// drawing the tree

SessionContainer sessionContainer=requestContainer.getSessionContainer();
SourceBean tranPar= (SourceBean)sessionContainer.getAttribute("objectsList");
List objectsList=(List)tranPar.getAttributeAsList("ROW");
%>

<spago4q:treeObjects moduleName="ListMeasureModelKPIModule"
  htmlGeneratorClass="it.eng.spago4q.presentation.tags.treehtmlgenerators.MeasureModelTreeHtmlGenerator" 
  list_="<%=objectsList%>"/>
</td>
<td  class='td_form'>

<% 

//swith on the type 
if(type.equalsIgnoreCase("mm")){
	String mm_name="";
	if((String)requestContainer.getServiceRequest().getAttribute("mm_name")!=null)
	mm_name=(String)requestContainer.getServiceRequest().getAttribute("mm_name");
%>  
  <div class='div_detail_label'><span
    class='portlet-form-field-label'> 
    <spago4q:message key="s4q.treeStructure.modelMeasure" /> </span></div>
  <div class='div_detail_form'>
 <%=mm_name%></div>
<% 
}
else if(type.equalsIgnoreCase("area")){
	String areaName="";
	 if((String)requestContainer.getServiceRequest().getAttribute("area_name")!=null)
	areaName=(String)requestContainer.getServiceRequest().getAttribute("area_name");
%>	
  <div class='div_detail_label'><span
	  class='portlet-form-field-label'> 
	  <spago4q:message key="s4q.treeStructure.area" /> </span></div>
	<div class='div_detail_form'>
	<%=areaName%></div>
<% 
}
else if(type.equalsIgnoreCase("mf")){
	String modelFrameworkName="";
	  if((String)requestContainer.getServiceRequest().getAttribute("mf_name")!=null)
		  modelFrameworkName=(String)requestContainer.getServiceRequest().getAttribute("mf_name");
	%>  
	  <div class='div_detail_label'><span
	    class='portlet-form-field-label'> 
	    <spago4q:message key="s4q.treeStructure.measurementFramework" /> </span></div>
	  <div class='div_detail_form'>
	 <%=modelFrameworkName%></div>
	<%	
}
else
{
	if(type.equalsIgnoreCase("in")){
		String informationNeedName="";
		String in_code="";
		if((String)requestContainer.getServiceRequest().getAttribute("in_name")!=null)
			  informationNeedName=(String)requestContainer.getServiceRequest().getAttribute("in_name");
	    if((String)requestContainer.getServiceRequest().getAttribute("in_code")!=null)
	        in_code=(String)requestContainer.getServiceRequest().getAttribute("in_code");

		%>  
	    <div class='div_detail_label'><span
	      class='portlet-form-field-label'> 
	      <spago4q:message key="s4q.treeStructure.informationNeed" /> </span></div>
	    <div class='div_detail_form'>
	    <%=informationNeedName%></div>
	    <BR>
      <div class='div_detail_label'><span
        class='portlet-form-field-label'> 
        <spago4q:message key="s4q.label.code" /> </span></div>
      <div class='div_detail_form'>
      <%=in_code%></div>
	  <%  	
	  } // close the information need if
	  else if(type.equalsIgnoreCase("mc")){
		  String measureConceptName="";
	    String mc_code="";
		  if((String)requestContainer.getServiceRequest().getAttribute("mc_name")!=null)
			   		  measureConceptName=(String)requestContainer.getServiceRequest().getAttribute("mc_name");
	       if((String)requestContainer.getServiceRequest().getAttribute("mc_code")!=null)
	              mc_code=(String)requestContainer.getServiceRequest().getAttribute("mc_code");

		   %>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.measurableConcept" /> </span></div>
    <div class='div_detail_form'>
    <%=measureConceptName%></div>
    <BR>
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.label.code" /> </span></div>
    <div class='div_detail_form'>
    <%=mc_code%></div>
  <%    	
  }// close the measurable concept if
  else if(type.equalsIgnoreCase("ma")){
	  String measureAttributeName=""; 
      String ma_code="";
      if((String)requestContainer.getServiceRequest().getAttribute("ma_name")!=null)
              measureAttributeName=(String)requestContainer.getServiceRequest().getAttribute("ma_name");
      if((String)requestContainer.getServiceRequest().getAttribute("ma_code")!=null)
              ma_code=(String)requestContainer.getServiceRequest().getAttribute("ma_code");
	  %>  
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.treeStructure.measurableAttribute" /> </span></div>
    <div class='div_detail_form'>
    <%=measureAttributeName%></div>
    <BR>
    <div class='div_detail_label'><span
      class='portlet-form-field-label'> 
      <spago4q:message key="s4q.label.code" /> </span></div>
    <div class='div_detail_form'>
    <%=ma_code%></div>
  <%      
} // close the measurable attribute if
	%>
        <BR>
  <form method='POST' action='<%=formUrl%>' id='measureKpiForm' name='measureKpiForm'>
 <input type='hidden' value='<%=mm%>' name='mm' />
 <input type='hidden' value='<%=area%>' name='area' />
 <input type='hidden' value='<%=mf%>' name='mf' />
 <input type='hidden' value='<%=in%>' name='in' />
 <input type='hidden' value='<%=mc%>' name='mc' />
 <input type='hidden' value='<%=ma%>' name='ma' />
  <div class='div_detail_label'><span
         class='portlet-form-field-label'> 
         <spago4q:message key="s4q.treeStructure.Kpi" /> </span></div>
    <div class='div_detail_form'>
    
    <spago4q:kpiList currentKpi="<%=kpi%>" />
    </div>
	</form>
	<% 
} // close the form input if
%>

</td>
</tr>
</table>
<spago4q:error />
<%@ include file="/jsp/footer.jsp"%>