/*
 *   Copyright 2008 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spago4Q.

    Spago4Q is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published 
    by the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spago4Q is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package it.eng.spago4q.presentation.tags.treehtmlgenerators;

import it.eng.spago.base.SourceBean;

public class StructureTreeHtmlGenerator extends AbstractTreeHtmlGenerator{

	
	protected void addItemForJSTree(StringBuffer htmlStream, SourceBean item,
			int id, int parentId, String name, boolean isInitialPath, boolean isFinalPath) {
		String empty="";
		
		if(name.contains("'")){
			name=removeApostrophe(name);
		}
		String title=name;
		if(name.length()>30){
			name=name.substring(0, 29);
			name+="...";
		}
		if(isInitialPath){
			htmlStream.append("	treeCMS.add(" + id + ", " + parentId + ",'" + name +"', 'javascript:linkEmpty()','"+title+"', '', '', '', '', 'menu(event, \\'" + createAddObjectLink(item) + "\\', \\'" + empty  + "\\', \\'" + empty + "\\', \\'\\')' );\n");			
		}
		else if(isFinalPath){
			htmlStream.append("	treeCMS.add(" + id + ", " + parentId + ",'" + name +"', 'javascript:linkEmpty()','"+title+"', '', '', '', '', 'menu(event, \\'" + empty + "\\', \\'" + createDetailObjectLink(item) + "\\', \\'" + createDeleteObjectLink(item) + "\\', \\'\\')' );\n");
		}
		else{
		htmlStream.append("	treeCMS.add(" + id + ", " + parentId + ",'" + name +"', 'javascript:linkEmpty()','"+title+"', '', '', '', '', 'menu(event, \\'" + createAddObjectLink(item) + "\\', \\'" + createDetailObjectLink(item) + "\\', \\'" + createDeleteObjectLink(item) + "\\', \\'\\')' );\n");
		}
		}
}
